Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cms
Interface CMSInputConnector

All Known Implementing Classes:
  CMSAuthenticatedDataInputConnector, CMSCompressedDataInputConnector, CMSDigestedDataInputConnector, CMSEncryptedDataInputConnector, CMSEnvelopedDataInputConnector, CMSSignedDataInputConnector

public interface CMSInputConnector

A `CMSInputConnector` is used in place of a `CMSInputStream` when reading nested CMS objects.

A `CMSInputConnector` should be created for the enclosed object, and passed to a `CMSInputStream` or `CMSInputConnector` for the enclosing object.

A `CMSInputConnector` expects the Content field of the CMS ContentInfo structure i.e. the underlying input stream must be positioned just after the explicit [0] tag wrapper.

If the underlying input stream is positioned just at the beginning of the CMS ContentInfo structure, use the `CMSInputStream` instead.

See Also:
  `CMSInputStream`

Method Summary
`oracle.security.crypto.asn1.ASN1ObjectID` | `getEnclosedContentType()` Used to determine the content type of the enclosed content.
`java.io.InputStream` | `getInputStream()` Returns the input stream which is governed by this connector.

Method Detail

### getEnclosedContentType

    public oracle.security.crypto.asn1.ASN1ObjectID getEnclosedContentType()
                                                                    throws java.io.IOException

  Used to determine the content type of the enclosed content.
  Returns:
    The content type of the underlying content.
  Throws:
    `An` - I/O error occurred or the input encoding is incorrect.
    `java.io.IOException`

### getInputStream

    public java.io.InputStream getInputStream()

  Returns the input stream which is governed by this connector.
  Returns:
    The underlying input stream.

Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.